Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextList

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QTextObject
                      com.trolltech.qt.gui.QTextBlockGroup
                          com.trolltech.qt.gui.QTextList

All Implemented Interfaces:
  QtJambiInterface

    public class QTextList

extends QTextBlockGroup

The `QTextList` class provides a decorated list of items in a `QTextDocument`.

A list contains a sequence of text blocks, each of which is marked with a bullet point or other symbol. Multiple levels of lists can be used, and the automatic numbering feature provides support for ordered numeric and alphabetical lists.

Lists are created by using a text cursor to insert an empty list at the current position or by moving existing text into a new list. The `QTextCursor::insertList` function inserts an empty block into the document at the cursor position, and makes it the first item in a list.

            QTextListFormat listFormat;
            if (list) {
                listFormat = list->format();
                listFormat.setIndent(listFormat.indent() + 1);
            }

            listFormat.setStyle(QTextListFormat::ListDisc);
            cursor.insertList(listFormat);

The `QTextCursor::createList` function takes the contents of the cursor's current block and turns it into the first item of a new list.

The cursor's current list is found with `QTextCursor::currentList`.

The number of items in a list is given by `count`. Each item can be obtained by its index in the list with the `item` function. Similarly, the index of a given item can be found with `itemNumber`. The text of each item can be found with the `itemText` function.

Note that the items in the list may not be adjacent elements in the document. For example, the top-level items in a multi-level list will be separated by the items in lower levels of the list.

List items can be deleted by index with the `removeItem` function. `remove` deletes the specified item in the list.

The list's format is set with `setFormat` and read with `format`. The format describes the decoration of the list itself, and not the individual items.

See Also:
  `QTextBlock`, `QTextListFormat`, `QTextCursor`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTextList(QTextDocument doc)`

Method Summary
`void` | `add(QTextBlock block)` Makes the given `block` part of the list.
`int` | `count()` Returns the number of items in the list.
`static QTextList` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTextList instance pointed to by nativePointer
`QTextBlock` | `item(int i)` Returns the `i`-th text block in the list.
`int` | `itemNumber(QTextBlock arg__1)` Returns the index of the list item that corresponds to the given `arg__1`.
`java.lang.String` | `itemText(QTextBlock arg__1)` Returns the text of the list item that corresponds to the given `arg__1`.
`void` | `remove(QTextBlock arg__1)` Removes the given `arg__1` from the list.
`void` | `removeItem(int i)` Removes the item at item position `i` from the list.
`void` | `setFormat(QTextListFormat format)` Sets the list's format to `format`.
`QTextListFormat` | `textListFormat()` Returns the list's format.

Methods inherited from class com.trolltech.qt.gui.QTextBlockGroup
`blockFormatChanged, blockInserted, blockList, blockRemoved`

Methods inherited from class com.trolltech.qt.gui.QTextObject
`document, format, formatIndex, objectIndex, setFormat`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextList

    public QTextList(QTextDocument doc)

Method Detail

### add

    public final void add(QTextBlock block)

  Makes the given `block` part of the list.

  See Also:
    `remove`, `removeItem`

### count

    public final int count()

  Returns the number of items in the list.

  See Also:
    `isEmpty`

### textListFormat

    public final QTextListFormat textListFormat()

  Returns the list's format.

### item

    public final QTextBlock item(int i)

  Returns the `i`-th text block in the list.

  See Also:
    `count`, `itemText`

### itemNumber

    public final int itemNumber(QTextBlock arg__1)

  Returns the index of the list item that corresponds to the given `arg__1`.

### itemText

    public final java.lang.String itemText(QTextBlock arg__1)

  Returns the text of the list item that corresponds to the given `arg__1`.

### remove

    public final void remove(QTextBlock arg__1)

  Removes the given `arg__1` from the list.

  See Also:
    `add`, `removeItem`

### removeItem

    public final void removeItem(int i)

  Removes the item at item position `i` from the list. When the last item in the list is removed, the list is automatically deleted by the `QTextDocument` that owns it.

  See Also:
    `add`, `remove`

### setFormat

    public final void setFormat(QTextListFormat format)

  Sets the list's format to `format`.

### fromNativePointer

    public static QTextList fromNativePointer(QNativePointer nativePointer)

  This function returns the QTextList instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD